Jump to content

VSN flyable aircraft mods


razo+r

Recommended Posts

Originally Posted by Rifter View Post

When you downloaded moduls for testing you perhaps noticed the latest DCS Updater 2.9.16.18 - it encrypts the DLL-Files.

All of your Mods which make use of for example FC3 content are useless now.

They still work in OpenBeta though…

 

I test it on Open Beta. So it dosnt work on Open Beta also.

 

Great Job ED...:-(

Link to comment
Share on other sites

Copy folders from Flaming Cliffs

 

DCS World\Mods\aircraft\Flaming Cliffs\bin

copy folder "bin" to

VSN_Mod\

 

DCS World\Mods\aircraft\Flaming Cliffs\FM\data

copy folder "data" to

VSN_Mod\FM\

I test it on Open Beta. So it dosnt work on Open Beta also.

 

DCS 2.5.6 it works again, the "bin" and "data" folders must be copied from Flaming Cliffs to the mod.

Link to comment
Share on other sites

It seems that with every recent update, we get to go find out what doesn't work any more. I'm finding these recent events to be very frustrating. They said they do support mods but every time we update DCS now, mods are getting disabled or quit working. Mods that have worked for a very long time. Heck, these mods are even IN the saved games path that we're supposed to use and now they don't work either.

 

So does every non official flyable mod no longer work?

Link to comment
Share on other sites

There is a solution for all mods that are tied to flaming cliffs, but not only. Also for the F22A (separate mod) and the Su-57 from Cubanace. The following changes are to be made in entry.lua.

the following lines must be deleted

 

binaries =

{

'F15',

},

and change the following entry

 

make_flyable ('Namexxx', current_mod_path .. '/ Cockpit / KneeboardRight /', nil, current_mod_path .. '/ Comm.lua') is important, which is entered at "nil". All at the point "nil" the old entries are to be deleted.

Link to comment
Share on other sites

There is a solution for all mods that are tied to flaming cliffs, but not only. Also for the F22A (separate mod) and the Su-57 from Cubanace. The following changes are to be made in entry.lua.

the following lines must be deleted

 

binaries =

{

'F15',

},

and change the following entry

 

make_flyable ('Namexxx', current_mod_path .. '/ Cockpit / KneeboardRight /', nil, current_mod_path .. '/ Comm.lua') is important, which is entered at "nil". All at the point "nil" the old entries are to be deleted.

 

I've tried to follow what you said here but it doesn't appear to be working for me. I commented out the sections about binaries and replaced the make_flyable line as you indicated. I still don't get the cockpit of the aircraft and the sim doesn't load. Just the mission editor screen.

 

I've attached the entry.lua file I edited.

entry.lua

Link to comment
Share on other sites

Remove the FM code.

"Yeah, and though I work in the valley of Death, I will fear no Evil. For where there is one, there is always three. I preparest my aircraft to receive the Iron that will be delivered in the presence of my enemies. Thy ALCM and JDAM they comfort me. Power was given unto the aircrew to make peace upon the world by way of the sword. And when the call went out, Behold the "Sword of Stealth". And his name was Death. And Hell followed him. For the day of wrath has come and no mercy shall be given."

Link to comment
Share on other sites

here is my entry F-22A

 

 

ignore the old = 6 in the entry

 

 

even if it works with su25t this in not a solution for f22A

 

That is exactly what the "solution" does though, instead of FC3 avionics, it loads the Su-25Ts avionics.

 

The only way to get the FC3 avionics back is either to move back to previous versions of DCS, or hope that ED will "unblock" FC3.

Link to comment
Share on other sites

how is there a way to revert to previous version?

 

"X:\DCS World OpenBeta\bin\DCS_updater.exe" update 2.5.6.49798@openbeta

 

This is the same version that was pushed to Stable and is the exact same code. So your choices are install Stable or use the DCS_updater.exe to "update" back to that version indicated.

 

You can run that from the command line or a shortcut.

Link to comment
Share on other sites

  • 1 month later...

Mods are down in Latest Ver 2.5.6.5XX Open Beta. Need a fix for VSN mods. SU-57 working fine without changes in code. VSN mods need changes in Entry.lua. but only flyable in su-25t flight dynamics, makes it unpleasant. All FC3 based mods cannot be used atm. Anyone know how to fix this?

Dav-Pak-BlackSpider

Link to comment
Share on other sites

Anyone know how to fix this?

 

 

The only way is not to use the FC3 files, like the A-4E and MB339 teams do ... otherwise the recent protection changes that ED has implemented will not let you use the FC3 files anymore.

 

For work: iMac mid-2010 of 27" - Core i7 870 - 6 GB DDR3 1333 MHz - ATI HD5670 - SSD 256 GB - HDD 2 TB - macOS High Sierra

For Gaming: 34" Monitor - Ryzen 3600 - 32 GB DDR4 2400 - nVidia GTX1070ti - SSD 1.25 TB - HDD 10 TB - Win10 Pro - TM HOTAS Cougar - Oculus Rift CV1

Mobile: iPad Pro 12.9" of 256 GB

Link to comment
Share on other sites

Will reverting back to update 2.5.6.49798@openbeta solve it is the question right now. Priorities are different at this point if you know what i mean, lol. Im not even sure if that may help has any one tested. And also if the mods are accessible in 25t avio, whats the point of blocking FC3 then? I mean mod still works for others who wont update the game, now maybe ever. lol

Dav-Pak-BlackSpider

Link to comment
Share on other sites

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...